# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/c2aa03b1-c9ad-45a3-441a-2a13161a65a4/volume/rsync-recipes/sqlalchemy-1.3.19-python_3.8-on-osx, last modified Tue Aug 25 11:56:42 2020
# ------------------------------------------------

package:
    name: sqlalchemy
    version: 1.3.19
source:
    sha256: 3bba2e9fbedb0511769780fe1d63007081008c5c2d7d715e91858c94dbaa260e
    url: https://pypi.io/packages/source/S/SQLAlchemy/SQLAlchemy-1.3.19.tar.gz
build:
    number: '0'
    script: /opt/concourse/worker/volumes/live/c2aa03b1-c9ad-45a3-441a-2a13161a65a4/volume/sqlalchemy_1598374744424/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
        -m pip install . --no-deps -vv
    string: py38haf1e3a3_0
requirements:
    build:
        - cctools 927.0.2 h5ba7a2e_4
        - clang 10.0.0 default_hf57f61e_0
        - clang_osx-64 10.0.0 h05bbb7f_1
        - clangxx 10.0.0 default_hf57f61e_0
        - compiler-rt 10.0.0 h47ead80_0
        - compiler-rt_osx-64 10.0.0 hbcc88fd_0
        - ld64 450.3 h3c32e8a_4
        - libcxx 10.0.0 1
        - libllvm10 10.0.0 h21ff451_2
        - llvm-openmp 10.0.0 h28b9765_0
        - llvm-tools 10.0.0 h21ff451_2
        - tapi 1000.10.8 ha1b3eb9_0
    host:
        - ca-certificates 2020.6.24 0
        - certifi 2020.6.20 py38_0
        - libcxx 10.0.0 1
        - libedit 3.1.20191231 h1de35cc_1
        - libffi 3.3 hb1e8313_2
        - ncurses 6.2 h0a44026_1
        - openssl 1.1.1g h1de35cc_0
        - pip 20.2.2 py38_0
        - python 3.8.5 h26836e1_0
        - readline 8.0 h1de35cc_0
        - setuptools 49.6.0 py38_0
        - sqlite 3.33.0 hffcf06c_0
        - tk 8.6.10 hb0a8c7a_0
        - wheel 0.34.2 py38_0
        - xz 5.2.5 h1de35cc_0
        - zlib 1.2.11 h1de35cc_3
    run:
        - python >=3.8,<3.9.0a0
test:
    imports:
        - sqlalchemy
        - sqlalchemy.connectors
        - sqlalchemy.databases
        - sqlalchemy.dialects
        - sqlalchemy.dialects.firebird
        - sqlalchemy.dialects.mssql
        - sqlalchemy.dialects.mysql
        - sqlalchemy.dialects.oracle
        - sqlalchemy.dialects.postgresql
        - sqlalchemy.dialects.sqlite
        - sqlalchemy.dialects.sybase
        - sqlalchemy.engine
        - sqlalchemy.event
        - sqlalchemy.ext
        - sqlalchemy.ext.declarative
        - sqlalchemy.orm
        - sqlalchemy.sql
        - sqlalchemy.testing
        - sqlalchemy.testing.plugin
        - sqlalchemy.util
about:
    description: 'SQLAlchemy is the Python SQL toolkit and Object Relational Mapper
        that

        gives application developers the full power and flexibility of SQL.

        '
    dev_url: https://bitbucket.org/zzzeek/sqlalchemy/
    doc_source_url: https://github.com/zzzeek/sqlalchemy/blob/master/doc/build/index.rst
    doc_url: http://docs.sqlalchemy.org/en/rel_1_0/
    home: http://www.sqlalchemy.org/
    license: MIT
    license_file: LICENSE
    summary: Database Abstraction Library.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - igortg
        - mcs07
        - nehaljwani
        - ocefpaf
